Bug 1702419 - toolbox does not work in F30
Summary: toolbox does not work in F30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: buildah
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker, AcceptedFreezeException
Depends On:
Blocks: F30FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-04-23 18:00 UTC by Matthias Clasen
Modified: 2019-05-19 10:27 UTC (History)
15 users (show)

Fixed In Version: buildah-1.7-18.git873f001.fc30 buildah-1.8.2-1.gite23314b.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-26 22:33:27 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github containers buildah issues 1504 None closed buildah pull from registry.fedoraproject.org fails with error tls: unexpected message 2020-06-25 16:14:38 UTC

Description Matthias Clasen 2019-04-23 18:00:36 UTC
I believe we need a buildah release with 

https://github.com/containers/buildah/issues/1504

for this

Comment 1 Fedora Blocker Bugs Application 2019-04-23 18:02:06 UTC
Proposed as a Blocker for 30-final by Fedora user mclasen using the blocker tracking app because:

 This breaks the toolbox, which is an essential tool for Fedora Silverblue.

Comment 2 Debarshi Ray 2019-04-24 10:55:34 UTC
https://github.com/containers/buildah/issues/1504 says buildah-1.7-3.git873f001.fc30.x86_64 [1], which is the build for the 1.7 release, works but buildah-1.7-17.dev.git146a0fc.fc30.x86_64 [2], which is the 17th pre-release snapshot leading to the 1.7 release, doesn't.

However:
$ rpmdev-vercmp 1.7-17.dev.git146a0fc 1.7-3.git873f001
1.7-17.dev.git146a0fc > 1.7-3.git873f001

The versioning scheme used by buildah and podman for pre-release development snapshots is prone to such issues. The better alternative would have been to use buildah-1.7-0.17.dev.git146a0fc, not buildah-1.7-17.dev.git146a0fc (compare the release tags). For a longer explanation, see https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1237768
[2] https://koji.fedoraproject.org/koji/buildinfo?buildID=1211760

Comment 3 František Zatloukal 2019-04-24 12:14:56 UTC
(In reply to Fedora Blocker Bugs Application from comment #1)
> Proposed as a Blocker for 30-final by Fedora user mclasen using the blocker
> tracking app because:
> 
>  This breaks the toolbox, which is an essential tool for Fedora Silverblue.

Hmm, as this is quite unfortunate, we are not blocking on Silverblue at all [0], so this might be an FE, but not a blocker. I am not aware of any criterion requiring buildah to work (sorry if I missed something).

[0] https://fedoraproject.org/wiki/Releases/30/ReleaseBlocking#Silverblue

Comment 4 Matthias Clasen 2019-04-24 12:27:48 UTC
W\e need to get it fixed, regardless.

Comment 5 Julen Landa Alustiza 2019-04-24 14:02:39 UTC
+1 FE, we want a working toolbox for silverblue golden

Comment 6 Lokesh Mandvekar 2019-04-24 14:08:16 UTC
(In reply to Debarshi Ray from comment #2)
> https://github.com/containers/buildah/issues/1504 says
> buildah-1.7-3.git873f001.fc30.x86_64 [1], which is the build for the 1.7
> release, works but buildah-1.7-17.dev.git146a0fc.fc30.x86_64 [2], which is
> the 17th pre-release snapshot leading to the 1.7 release, doesn't.
> 
> However:
> $ rpmdev-vercmp 1.7-17.dev.git146a0fc 1.7-3.git873f001
> 1.7-17.dev.git146a0fc > 1.7-3.git873f001
> 
> The versioning scheme used by buildah and podman for pre-release development
> snapshots is prone to such issues. The better alternative would have been to
> use buildah-1.7-0.17.dev.git146a0fc, not buildah-1.7-17.dev.git146a0fc
> (compare the release tags). For a longer explanation, see
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning
> 
> [1] https://koji.fedoraproject.org/koji/buildinfo?buildID=1237768
> [2] https://koji.fedoraproject.org/koji/buildinfo?buildID=1211760

Thanks for pointing this out. I can bump the Epoch and get the release tag fixed right away. Let me know if that's ok or if you'd prefer waiting a little longer until the next version bump?

Comment 7 Daniel Walsh 2019-04-24 15:40:31 UTC
Can we just bump the release to 18 without moving the epoch?

We need to release buildah 1.8 ASAP.

Comment 8 Adam Williamson 2019-04-24 18:55:14 UTC
+1 FE for this so potentially the Silverblue released at distro release time has a working toolbox, but it can't be a blocker. Note the first Final RC is currently building, so this has already missed that; if we find any blocker issues or slip for any other reason, a fix for this could be pulled into the next compose.

Comment 9 Adam Williamson 2019-04-24 18:57:19 UTC
On the version front - yeah, I think just bumping the release to 18 would be a less invasive fix.

For future development builds, please read and follow the versioning policy, as Debarshi pointed out.

Comment 10 Stephen Gallagher 2019-04-25 01:04:32 UTC
+1 FE

Comment 11 Geoffrey Marr 2019-04-25 16:33:29 UTC
+1 FE

Comment 12 Ben Cotton 2019-04-25 20:57:13 UTC
Discussed in the Fedora 30 Go/No-Go blocker review:
https://meetbot.fedoraproject.org/fedora-meeting-1/2019-04-25/f30-final-go_no_go-meeting.2019-04-25-17.01.log.html#l-100

Silverblue is not a blocking deliverable, but it would be good to have this fixed

Comment 13 Fedora Update System 2019-04-25 21:37:10 UTC
buildah-1.7-18.git873f001.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a329c204c3

Comment 14 Debarshi Ray 2019-04-26 10:15:36 UTC
Thanks for taking care of the build, Adam. I see that lsm has already fixed the versioning for buildah. I filed bug 1703388 to do the same for podman.

Comment 15 Fedora Update System 2019-04-26 16:19:35 UTC
buildah-1.8.0-1.git4aa16cf.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d8f32de4e

Comment 16 Fedora Update System 2019-04-26 16:19:40 UTC
buildah-1.8.0-1.git4aa16cf.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f0e821531

Comment 17 Fedora Update System 2019-04-26 17:58:45 UTC
buildah-1.7-18.git873f001.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a329c204c3

Comment 18 Fedora Update System 2019-04-26 22:33:27 UTC
buildah-1.7-18.git873f001.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-04-28 00:13:39 UTC
buildah-1.8.0-1.git4aa16cf.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8f0e821531

Comment 20 Fedora Update System 2019-05-10 20:19:47 UTC
buildah-1.8.2-1.gite23314b.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-204dcd7630

Comment 21 Fedora Update System 2019-05-11 04:24:14 UTC
buildah-1.8.2-1.gite23314b.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-204dcd7630

Comment 22 Fedora Update System 2019-05-19 10:27:11 UTC
buildah-1.8.2-1.gite23314b.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.